// 编写一个程序，定义一个结构体表示学生的信息，包括姓名、年龄和分数。通过键盘输入学生的信息，然后输出这些信息。
#include <stdio.h>
#include <stdlib.h>
#include <string.h>

typedef struct stu_s
{
    char *name;
    int age;
    float score;
} STU;

int main()
{
    STU stu1;
    stu1.name = malloc(20); // 因为 name 是指针，所以需要手动分配内存空间
    printf("请输入学生的姓名 年龄 分数:");
    scanf("%s %d %f", stu1.name, &stu1.age, &stu1.score);
    printf("姓名: %s, 年龄: %d, 分数: %.2f", stu1.name, stu1.age, stu1.score);
    free(stu1.name); // 释放手动分配的内存空间

    return 0;
}